Bug 251442 - a number of problems with atomix
a number of problems with atomix
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: atomix (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 23:48 EDT by petrosyan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-01 07:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2007-08-08 23:48:05 EDT
Description of problem:
Here is a list of problems with atomix:

1. In atomix package description in the sentence "This game is inspiried by the
orignal Amiga game Atomix and uses the GNOME librarys." There are three
misspelled words:
inspiried -> inspired
orignal -> original
librarys -> libraries

2. Help/About dialog in atomix links to http://www.gnome.org/projects/atomix
page which does not exist.

3. Clicking the "Close" button in Help/About dialog does nothing. It is supposed
to close the dialog.

4. The menu item tooltip is not GNOME HIG compliant. According to GNOME HIG the
tooltip should be phrased as a verb. Currently it is not phrased as a verb
("Molecule puzzle game"). "Build molecules out of atoms lying around" sounds better.
The relevant file is /usr/share/applications/fedora-atomix.desktop
Relevant GNOME HIG part is at
http://developer.gnome.org/projects/gup/hig/2.0/desktop-integration.html#menu-item-tooltips

Version-Release number of selected component (if applicable):
atomix-2.14.0-2.fc6
Comment 1 Thorsten Leemhuis 2007-08-10 13:24:04 EDT
Thanks for your report.

I fixed problem 1 (misspellings) in devel; I'll fix it also in other branches if
there are enough reasons for a rebuild there.

It would be nice to fix problems 2-4 as well, but the better place to do that is
IMHO upstream, to get them fixed once and for all for all distributions. I can
forward your bugs to bugzilla.gnome.org if you like -- but your experiences at
least in area 4 seem to be better then mine, so I'd prefer if you could report
it upstream yourself.
Comment 2 Thorsten Leemhuis 2007-09-01 07:34:13 EDT
(In reply to comment #0)
> 2. Help/About dialog in atomix links to http://www.gnome.org/projects/atomix
> page which does not exist.

http://bugzilla.gnome.org/show_bug.cgi?id=381360
 
Old bug for this isse -- seem upstream is dead, thus we it likely doesn't make
much sense to file more bugs. I subscribed to the bug nevertheless -- should
upstream ever spring to live again I'll forward the problems from here. But it
likely doesn't make much sense  to open bugs for the oher issues now. Closing
this one.

Note You need to log in before you can comment on or make changes to this bug.